<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Timer.html">Timer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Timer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#ae900afa2fcf8c8ce3f0f423d97bb91be">mFrequency</a></td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a8372e3ea912095bfce04d29b3e7de900">mLastTime</a></td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a9b098eabbe9029b10f71e19a56201a19">mStartTick</a></td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#ab1c3bbde68d6dfea57f72a0aabb8f924">mStartTime</a></td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a3ce599d89734e4cbedaad64f7083af28">mTimerMask</a></td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a0cc8c11464f2fc729c5028b2359d5a21">mZeroClock</a></td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a>(const String &amp;strKey, const void *pValue)</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a>(const String &amp;strKey, const void *pValue)</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a>(const String &amp;strKey, const void *pValue)</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a>(const String &amp;strKey, const void *pValue)</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a>(const String &amp;strKey, const void *pValue)</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a>(const String &amp;strKey, const void *pValue)</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a8001c51c6e71cb7a0f4f1f923f50067b">start</a></td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#a730b49c13bc36f38225190c1a4bc6cb0">zeroClock</a></td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a>()</td><td><a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
